Bug 814488 - [abrt] wicd-gtk-1.7.0-10.fc16: gui.py:567:refresh_networks:AttributeError: 'NoneType' object has no attribute 'show'
[abrt] wicd-gtk-1.7.0-10.fc16: gui.py:567:refresh_networks:AttributeError: 'N...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
abrt_hash:be6fba5de6b5275058f3078c03d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 21:27 EDT by Art Sornat
Modified: 2012-08-02 11:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-02 11:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Art Sornat 2012-04-19 21:27:42 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -O /usr/share/wicd/gtk/wicd-client.py
executable:     /usr/share/wicd/gtk/wicd-client.py
kernel:         3.3.0-4.fc16.i686
reason:         gui.py:567:refresh_networks:AttributeError: 'NoneType' object has no attribute 'show'
time:           Sun 25 Mar 2012 08:37:00 AM CDT
uid:            500
username:       dzikus

backtrace:
:gui.py:567:refresh_networks:AttributeError: 'NoneType' object has no attribute 'show'
:
:Traceback (most recent call last):
:  File "/usr/share/wicd/gtk/gui.py", line 567, in refresh_networks
:    instruct_label.show()
:AttributeError: 'NoneType' object has no attribute 'show'
:
:Local variables in innermost frame:
:widget: None
:self: <gui.appGui object at 0x9bf8d2c>
:num_networks: dbus.Int32(3)
:instruct_label: None
:fresh: False
:hidden: None
:printLine: False

smolt_data:
:
:
:General
:=================================
:UUID: 103aef61-f32c-4c23-b009-8ad8bac69f7e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3197.41
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) M processor 1.60GHz
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 13
:Number of CPUs: 1
:CPU Speed: 1600
:System Memory: 1257
:System Swap: 1999
:Vendor: Dell Computer Corporation
:System: Latitude D600 
:Form factor: Portable
:Kernel: 3.3.2-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4631:28947:4136:285) pci, yenta_cardbus, PCI/CARDBUS, OZ711EC1 SmartCardBus Controller
:(5348:17188:4136:3) pci, b43-pci-bridge, NETWORK, Truemobile 1450 MiniPCI
:(5348:5725:4136:34397) pci, tg3, ETHERNET, Latitude D400
:(32902:9418:32902:17729) pci, ata_piix, STORAGE, Latitude D400/D500
:(32902:9420:0:0) pci, None, PCI/ISA, 82801DBM (ICH4-M) LPC Interface Bridge
:(32902:9414:5361:21538) pci, snd_intel8x0m, SIMPLE, D480 MDC V.9x Modem
:(32902:9413:4136:285) pci, snd_intel8x0, MULTIMEDIA_AUDIO, 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller
:(4631:28947:4136:285) pci, yenta_cardbus, PCI/CARDBUS, OZ711EC1 SmartCardBus Controller
:(32902:9288:0:0) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4098:19558:4136:285) pci, radeon, VIDEO, Radeon RV250 [Mobility FireGL 9000]
:(32902:9412:32902:17729) pci, uhci_hcd, USB, Latitude D400/D500
:(32902:9410:32902:17729) pci, uhci_hcd, USB, Latitude D400/D500
:(32902:13120:0:0) pci, agpgart-intel, HOST/PCI, 82855PM Processor to I/O Controller
:(32902:9415:32902:17729) pci, uhci_hcd, USB, Latitude D400/D500
:(32902:9421:4136:285) pci, ehci_hcd, USB, Latitude D600
:(32902:13121:0:0) pci, None, PCI/PCI, 82855PM Processor to AGP Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / btrfs 4096 4096 9127168 5641061 5122583 0 0 0
:/dev/sda1 /boot ext4 1024 1024 508745 411639 386039 128016 127768 127768
:
Comment 1 David Cantrell 2012-04-25 11:34:54 EDT
Is the wicd service enabled and running?  Is NetworkManager disabled and not running?
Comment 2 Art Sornat 2012-04-25 13:09:09 EDT
I've removed NetworkManager but it was reinstalled with wicd as dependency. I guess it was running, since I've not disabled it.
Comment 3 David Cantrell 2012-04-25 13:33:48 EDT
Odd.  I'm not sure what required NetworkManager, but wicd does not directly depend on NetworkManager.  I will have to track that down and see if there is a way to ensure it does not conflict with wicd.

Stop and disable NetworkManager:
    systemctl stop NetworkManager.service
    systemctl disable NetworkManager.service

Enable and start wicd:
    systemctl enable wicd.service
    systemctl start wicd.service

Note You need to log in before you can comment on or make changes to this bug.